# Edit a note (its author or a manager)

`PATCH /workspace/inbox/threads/{id}/notes/{turnId}` · Rivier · inbox

Edit a note (its author or a manager).

- Scope: inbox:write
- Graphql: Mutation.inboxNoteUpdate
- Sdk: inbox.note.update
- Cli: inbox note update

## Parameters

- `id` (path, required), string
- `turnId` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 10000
    }
  },
  "required": [
    "body"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/workspace/inbox/threads/{id}/notes/{turnId}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "string"
}'
```
